﻿Public Class DbMigrationsConfiguration1
    Inherits Data.Entity.Migrations.DbMigrationsConfiguration(Of Model.SchoolContext1Container)

    Public Sub New()
        AutomaticMigrationsEnabled = False
    End Sub

    Protected Overrides Sub Seed(context As Model.SchoolContext1Container)
        Initialize(context)
    End Sub

    Sub Initialize(ByVal context As Model.SchoolContext1Container)
        If context.Students.Any() Then Return
        Dim AddStudents = New Model.Student() {
            New Model.Student With {.Id = 1, .Name = "AAA"},
            New Model.Student With {.Id = 2, .Name = "BBB"},
            New Model.Student With {.Id = 3, .Name = "CCC"}
           }
        context.Students.AddRange(AddStudents)
        Dim AddCources = New Model.Cource() {
            New Model.Cource With {.Id = 1, .Name = "ZZZ", .StudentId = 1},
            New Model.Cource With {.Id = 2, .Name = "ZZZ", .StudentId = 2},
            New Model.Cource With {.Id = 3, .Name = "ZZZ", .StudentId = 3},
            New Model.Cource With {.Id = 4, .Name = "WWW", .StudentId = 1},
            New Model.Cource With {.Id = 5, .Name = "WWW", .StudentId = 2},
            New Model.Cource With {.Id = 6, .Name = "XXX", .StudentId = 1}
        }
        context.Cources.AddRange(AddCources)
        context.SaveChanges()
    End Sub


End Class
